{
  "display": {
    "icon": {
      "id": "minecraft:polished_blackstone_bricks"
    },
    "title": "The Black Castle",
    "description": "Find the Keys to enter the Black Castle",
    "show_toast": false,
    "announce_to_chat": true,
    "hidden": false
  },
  "parent": "survivalplus:finale/gateway",
  "criteria": {
    "requirement": {
      "trigger": "minecraft:location",
      "conditions": {
        "player": {
          "location": {
            "structures": "survivalplus:blackcastle"
          }
        }
      }
    }
  }
}